Bug 4150 - неверные скрипты
: неверные скрипты
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/sleezeball)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-13 13:32 by
Modified: 2005-08-30 12:07 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-13 13:32:47
if ! grep -qs '^internal-banner' /etc/squid/mime.conf; then 
        echo 'internal-banner   -       banner.gif      -       image' >>/etc/squid/mime.conf 
fi 
 
cat >/etc/squid/sleezeball.conf <<EOF 
# The SleezeBall Configuration 
 
# The URL to redirect banners to 
REDIRECT_URL=http://${HOSTNAME}:3128/squid-internal-static/icons/banner.gif 
 
# Uncomment this to enable log 
# LOG=/var/log/squid/sleezeball.log 
 
Во первых при добавлении нет проверки на существование. 
Во вторых, нельзя ли создать свой конфиг заранее, $HOSTNAME, может не сработать 
во время установки и у пользователя будет ложное представление о 
работосособности пакета
------- Comment #1 From 2004-05-27 18:00:27 -------
Fixed in sleezeball-0.6-alt6